

rm(list=ls())

root_folder = "/folder/where/you/sotore/tensile_data.rda"



setwd(root_folder)
# In this file, the data has been read and gaussian smooting has been applied
load("tensile_data.rda")


started=FALSE

par(mfrow=c(2,2))

for(ind in 1:length(tensile_test_data))
{
    info=overview_tensile_test[ind,]
    current_data = tensile_test_data[[ind]]
    
    to_plot=current_data[current_data$strain < overview_tensile_test$upper_limit_analysis[ind],]
    
    if(!started)
    {
        plot(to_plot$strain*100,to_plot$pressure/1000 ,ylim=c(0,6),xlim=c(0,70),type="l",ylab="Stress [kPa]",xlab="Strain [%]",main="Tensile testing")
        started=TRUE
    } else {
        lines(to_plot$strain*100,to_plot$pressure/1000)
        

    }
    
    
    coeffs=coefficients(lm(pressure ~ strain, current_data[current_data$Distance >= info$young_modulus_start& current_data$Distance <=info$young_modulus_stop,]))
    
    x_regression = c(info$young_modulus_start/info$original_length_mm,info$young_modulus_stop/info$original_length_mm)
    
    lines(x_regression*100,(coeffs[["(Intercept)"]]+coeffs[["strain"]]*x_regression)/1000,type="l",col="red")
    
    
    
}




hist(overview_tensile_test$ultimate_strain*100,breaks=(0:7)*10,freq=TRUE,xlab="Ultimate strain [%]",main="Ultimate strain",ylab="N")

hist(overview_tensile_test$ultimate_stress/1e3,freq=TRUE,xlab="Ultimate stress [kPa]",main="Ultimate stress",breaks=(0:7),ylab="N")

hist(overview_tensile_test$E_tensile/1e3,freq=TRUE,xlab="Tensile modulus [kPa]",main="Tensile modulus",breaks=(0:7)*1e1,ylab="N")


